> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List all scheduled events

GET https://rest.test.zuora.com/events/scheduled-events

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/events-and-notifications/custom-scheduled-events/get-scheduled-events

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `eventTypeName` (string, optional) — The name of the scheduled event. Should be specified in the pattern: ^\[A-Za-z]\{1,}\[\w\\-]\*\$
- `apiObject` (string, optional) — The base object that the scheduled event is defined upon. Should be specified in the pattern: ^[A-Z][\\w\\-]*$
- `apiField` (string, optional) — The base field of the base object in the `apiObject` field. Should be specified in the pattern: ^[A-Z][\\w\\-]*$
- `active` (boolean, optional) — Indicate whether the scheduled event is active or inactive.
- `start` (integer, optional, default: 0) — The first index of the query result. Default to 0 if absent, and the minimum is 0.
- `limit` (integer, optional, default: 10) — The maximum number of data records to be returned. Default to 10 if absent.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK

- `data` (list of GetScheduledEventResponse, optional)
- `next` (string, optional) — The link to the next page. No value if it is last page.

## Errors

### 400 Bad Request Error

Bad Request

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 500 Internal Server Error

Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

## Types

### GetScheduledEventResponse

- `active` (boolean, optional) — Indicate whether the scheduled event is active or inactive
- `apiField` (string, optional) — The base field of the base object in the `apiObject` field, should be in date or timestamp format. The scheduled event notifications are triggered based on this date and the event parameters (before or after a specified number of days) from notification definitions. Should be specified in the pattern: ^[A-Z][\\w\\-]*$
- `apiObject` (string, optional) — The base object that the scheduled event is defined upon. The base object should contain a date or timestamp format field. Should be specified in the pattern: ^[A-Z][\\w\\-]*$
- `condition` (string, optional) — The filter rule conditions, written in [JEXL](http://commons.apache.org/proper/commons-jexl/). The scheduled event is triggered only if the condition is evaluated as true. The rule might contain event context merge fields and data source merge fields. Data source merge fields must be from [the base object of the event or from the joined objects of the base object](https://knowledgecenter.zuora.com/DC_Developers/M_Export_ZOQL#Data_Sources_and_Objects). Scheduled events with invalid merge fields will fail to evaluate, thus will not be triggered. For example, to trigger an invoice due date scheduled event to only invoices with an amount over 1000, you would define the following condition: ```Invoice.Amount > 1000.0``` `Invoice.Amount` refers to the `Amount` field of the Zuora object `Invoice`.
- `cronExpression` (string, optional) — The cron expression defines the time when scheduled event notifications will be sent.
- `description` (string, optional) — The description of the scheduled event.
- `displayName` (string, optional) — The display name of the scheduled event.
- `id` (string, optional) — Scheduled event ID.
- `name` (string, optional) — The name of the scheduled event.
- `namespace` (string, optional) — The namespace of the scheduled event name in the `name` field.
- `parameters` (map from string to GetScheduledEventResponseParameters, optional) — The parameter definitions of the filter rule. The names of the parameters must match with the filter rule and can't be duplicated. You should specify all the parameters when creating scheduled event notifications.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### GetScheduledEventResponseParameters

Definition of a filter rule parameter.

- `description` (string, optional) — The description of the parameter.
- `displayName` (string, optional) — The display name of the parameter.
- `options` (list of string, optional) — The option values of the parameter.
- `valueType` (string, optional) — The type of the value.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "active": true,
      "apiField": "InvoiceDueDate",
      "apiObject": "Invoice",
      "condition": "Invoice.Amount > 1000.0",
      "cronExpression": "0 0 9 ? * MON-FRI",
      "description": "Trigger a scheduled event at 9:00 AM on weekdays for invoices with amount greater than 1000.",
      "displayName": "High Value Invoice Due Date Event",
      "id": "a3f1c2d4-5678-4e9a-b123-456789abcdef",
      "name": "HighValueInvoiceDueDateEvent",
      "namespace": "user.notification",
      "parameters": {
        "_MIN_AMOUNT": {
          "description": "Minimum invoice amount to trigger the event",
          "displayName": "Minimum Invoice Amount",
          "options": [],
          "valueType": "NUMBER"
        }
      }
    }
  ],
  "next": "/events/scheduled-events?start=10&limit=10"
}
```

**SDK Code**

```python
import requests

url = "https://rest.test.zuora.com/events/scheduled-events"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.test.zuora.com/events/scheduled-events';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/events/scheduled-events"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/events/scheduled-events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/events/scheduled-events")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/events/scheduled-events', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/events/scheduled-events");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/events/scheduled-events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```